Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer.behaviors
Class CachingTestCase

    java.lang.Object
      org.picocontainer.tck.AbstractComponentFactoryTest
          org.picocontainer.behaviors.CachingTestCase

    public class CachingTestCase

extends AbstractComponentFactoryTest

Author:
  rafal@caltha.pl

Field Summary

Fields inherited from class org.picocontainer.tck.AbstractComponentFactoryTest
`picoContainer`

Constructor Summary
`CachingTestCase()`

Method Summary
`protected org.picocontainer.ComponentFactory` | `createComponentFactory()`
`void` | `testAddAdapterNoesNotUseCachingBehaviorWhenNoCachePropertyIsSpecified()`
`void` | `testAddAdapterUsesCachingBehavior()`
`void` | `testAddAdapterUsesCachingBehaviorWithRedundantCacheProperty()`
`void` | `testAddComponentNoesNotUseCachingBehaviorWhenNoCachePropertyIsSpecified()`
`void` | `testAddComponentUsesCachingBehavior()`
`void` | `testAddComponentUsesCachingBehaviorWithRedundantCacheProperty()`

Methods inherited from class org.picocontainer.tck.AbstractComponentFactoryTest
`setUp, testEquals, testRegisterComponent, testUnregisterComponent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CachingTestCase

    public CachingTestCase()

Method Detail

### createComponentFactory

    protected org.picocontainer.ComponentFactory createComponentFactory()

  Specified by:
    `createComponentFactory` in class `AbstractComponentFactoryTest`

### testAddComponentUsesCachingBehavior

    public void testAddComponentUsesCachingBehavior()

### testAddComponentUsesCachingBehaviorWithRedundantCacheProperty

    public void testAddComponentUsesCachingBehaviorWithRedundantCacheProperty()

### testAddComponentNoesNotUseCachingBehaviorWhenNoCachePropertyIsSpecified

    public void testAddComponentNoesNotUseCachingBehaviorWhenNoCachePropertyIsSpecified()

### testAddAdapterUsesCachingBehavior

    public void testAddAdapterUsesCachingBehavior()

### testAddAdapterUsesCachingBehaviorWithRedundantCacheProperty

    public void testAddAdapterUsesCachingBehaviorWithRedundantCacheProperty()

### testAddAdapterNoesNotUseCachingBehaviorWhenNoCachePropertyIsSpecified

    public void testAddAdapterNoesNotUseCachingBehaviorWhenNoCachePropertyIsSpecified()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.